'use strict'
const path = require('path');
const localPath = 'http://192.144.143.56:4412';   //服务器地址

module.exports = {
  dev: {
    // Paths
    assetsSubDirectory: 'static',
    assetsPublicPath: '/',
    proxyTable: {
        '/upload': {
            // 测试环境
            target: localPath,  // 接口域名
            changeOrigin: true,  //是否跨域
            pathRewrite: {
                '^/upload': '/upload'   //需要rewrite重写的,
            }
        },
        '/folder': {
            // 测试环境
            target: localPath,  // 接口域名
            changeOrigin: true,  //是否跨域
            pathRewrite: {
                '^/folder': '/folder'   //需要rewrite重写的,
            }
        },
        '/ocr': {
            // 测试环境
            target: localPath,  // 接口域名
            changeOrigin: true,  //是否跨域
            pathRewrite: {
                '^/ocr': '/ocr'   //需要rewrite重写的,
            }
        },
        '/train': {
            // 测试环境
            target: localPath,  // 接口域名
            changeOrigin: true,  //是否跨域
            pathRewrite: {
                '^/train': '/train'   //需要rewrite重写的,
            }
        },
        '/keyWord': {
            // 测试环境
            target: localPath,  // 接口域名
            changeOrigin: true,  //是否跨域
            pathRewrite: {
                '^/keyWord': '/keyWord'   //需要rewrite重写的,
            }
        },
        '/dict': {
            // 测试环境
            target: localPath,  // 接口域名
            changeOrigin: true,  //是否跨域
            pathRewrite: {
                '^/dict': '/dict'   //需要rewrite重写的,
            }
        }
    },

    // Various Dev Server settings
    host: '0.0.0.0', // can be overwritten by process.env.HOST
    port: 8080, // can be overwritten by process.env.PORT, if port is in use, a free one will be determined
    autoOpenBrowser: false,
    errorOverlay: true,
    notifyOnErrors: true,
    poll: false, // https://webpack.js.org/configuration/dev-server/#devserver-watchoptions-

    // Use Eslint Loader?
    // If true, your code will be linted during bundling and
    // linting errors and warnings will be shown in the console.
    useEslint: true,
    // If true, eslint errors and warnings will also be shown in the error overlay
    // in the browser.
    showEslintErrorsInOverlay: false,

    /**
     * Source Maps
     */

    // https://webpack.js.org/configuration/devtool/#development
    devtool: 'cheap-module-eval-source-map',

    // If you have problems debugging vue-files in devtools,
    // set this to false - it *may* help
    // https://vue-loader.vuejs.org/en/options.html#cachebusting
    cacheBusting: true,

    cssSourceMap: true
  },

  build: {
    // Template for index.html
    index: path.resolve(__dirname, '../dist/index.html'),

    // Paths
    assetsRoot: path.resolve(__dirname, '../dist'),
    assetsSubDirectory: 'static',
    assetsPublicPath: './',

    /**
     * Source Maps
     */

    productionSourceMap: true,
    // https://webpack.js.org/configuration/devtool/#production
    devtool: '#source-map',

    // Gzip off by default as many popular static hosts such as
    // Surge or Netlify already gzip all static assets for you.
    // Before setting to `true`, make sure to:
    // npm install --save-dev compression-webpack-plugin
    productionGzip: false,
    productionGzipExtensions: ['js', 'css'],

    // Run the build command with an extra argument to
    // View the bundle analyzer report after build finishes:
    // `npm run build --report`
    // Set to `true` or `false` to always turn it on or off
    bundleAnalyzerReport: process.env.npm_config_report
  }
}
